%def_enable shared
%def_enable static

%define Name HTTrack
%define bname httrack
%define libver 1
Name: lib%bname%libver
Version: 3.40
Release: alt1
Summary: Legacy shared library for %Name
License: %gpl2plus
Group: System/Libraries
URL: http://www.%bname.com
Source: %bname-3.40-2.tar.bz2
Patch: %bname-3.40.3-configure.patch
Conflicts: lib%bname < 3.41

# Automatically added by buildreq on Wed Mar 05 2008
BuildRequires: zlib-devel
BuildRequires: rpm-build-licenses

%description
This package contains legacy shared library for %Name.


%package devel
Summary: Legacy development files for %Name
Group: Development/C
Requires: %name%{?_disable_shared:-devel-static = %version-%release}
Conflicts: lib%bname-devel

%description devel
This package contains development files required for packaging
legacy %Name-based software.


%if_enabled static
%package devel-static
Summary: Legacy static libraries for %Name
Group: Development/C
Requires: %name-devel = %version-%release
Conflicts: lib%bname-devel-static

%description devel-static
This package contains development libraries required for packaging
legacy statically linked %Name-based software.
%endif


%prep
%setup -n %bname-3.40.3
%patch -p1


%build
ACLOCAL="%__aclocal -I m4" %autoreconf
%configure %{subst_enable shared} %{subst_enable static}
%make_build -C src lib%bname.la


%install
%make_install -C src DESTDIR=%buildroot install-libLTLIBRARIES install-DevIncludesDATA
install -m 0644 src/{hts{-indextmpl,back,base,cache,catchurl,core,coremain,defines,filters,ftp,hash,help,inthash,java,lib,name,net,nostatic,robots,thread,tools,wizard},%bname}.h %buildroot%_includedir/%bname/


%if_enabled shared
%post -p %post_ldconfig
%postun -p %postun_ldconfig
%endif


%if_enabled shared
%files
%doc AUTHORS
%_libdir/*.so.*
%endif


%files devel
%{?_disable_shared:%doc AUTHORS}
%_includedir/%bname
%_libdir/*.so


%if_enabled static
%files devel-static
%_libdir/*.a
%endif


%changelog
* Wed Mar 05 2008 Led <led@altlinux.ru> 3.40-alt1
- add more headers

* Wed Mar 05 2008 Led <led@altlinux.ru> 3.40-alt0.1
- first build like a legacy library
- fixed %%changelog
- cleaned up spec
- added %bname-3.40.3-configure.patch

* Wed Apr 19 2006 Andrey Semenov <mitrofan@altlinux.ru> 3.40.2-alt1
- 3.40.2

* Sat Jan 28 2006 Andrey Semenov <mitrofan@altlinux.ru> 3.40-alt1
- new version

* Mon Feb 14 2005 Andrey Semenov <mitrofan@altlinux.ru> 3.33-alt1
- 3.33

* Tue May 11 2004 Andrey Semenov <mitrofan@altlinux.ru> 3.32.2-alt1
- new version
- Broken engine on 64-bit archs

* Mon Apr 12 2004 Andrey Semenov <mitrofan@altlinux.ru> 3.32-alt1
- new version
- Fixed: css and js files were not parsed!
- Fixed: again broken file:// (infinite loops with local crawls)
- Fixed: Bandwidth limiter more gentle with low transfer rate
- Fixed: external wrappers were not called during updates/continue
- New: additional callback examples
- Fixed: overflow in unzip.c fixed
- New: tests are now cached for better performances!
- New: %%r (protocol) option for user-defined structure

* Mon Mar 15 2004 Andrey Semenov <mitrofan@altlinux.ru> 3.31-alt1
- new version
- bugs fixed
- experimental categories implemented
- new cache format (ZIP file)
- .m3u files now crawled
- .aam files now crawled
- full HTTP headers are now stored in cache

* Wed Dec 10 2003 Andrey Semenov <mitrofan@altlinux.ru> 3.30-alt2
- removed *.la files

* Sun Oct 12 2003 Andrey Semenov <mitrofan@altlinux.ru> 3.30-alt1
- New: Webhttrack, a linux/unix/bsd Web GUI for httrack
- New: "URL hack" feature
- New: HTTP-headers charset is now propagated in the html file
- New: loadable external engine callbacks
- New: Experimental ".mht" archives format

* Wed Apr 02 2003 Andrey Semenov <mitrofan@altlinux.ru> 3.23-alt1
- First version of RPM package.

